Name:           libopensync
Version:        0.19
Release:        1%{?dist}
Summary:        A synchronization framework

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.opensync.org/
# see http://www.opensync.org/wiki/download
Source0:        %{name}-%{version}.tar.gz
Patch0:         libopensync-rpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel
BuildRequires:  libxml2-devel
BuildRequires:  sqlite-devel
BuildRequires:  zlib-devel
BuildRequires:  python-devel
BuildRequires:  swig
BuildRequires:  pkgconfig
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
OpenSync is a synchronization framework that is platform and distribution
independent. It consists of several plugins that can be used to connect to
devices, a powerful sync-engine and the framework itself. The synchronization
framework is kept very flexible and is capable of synchronizing any type of
data, including contacts, calendar, tasks, notes and files. 

%package devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       glib2-devel
Requires:       libxml2-devel
Requires:       zlib-devel
%description    devel
The %{name}-devel package contains the files needed for development
with %{name}.

%prep
%setup -q
%patch0
autoreconf

# some source files are marked executable
for dir in opensync osengine; do
    cd %{_builddir}/%{name}-%{version}/$dir
    chmod -x *
done

%build
%configure --disable-static --disable-rpath
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/opensync
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/opensync/formats
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/opensync/plugins

find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/

cat > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/opensync.conf << EOF
%{_libdir}/opensync/
%{_libdir}/opensync/formats/
%{_libdir}/opensync/plugins/
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%{_libdir}/*.so.*
%{_libexecdir}/osplugin
%dir %{_libdir}/opensync
%dir %{_libdir}/opensync/formats
%dir %{_libdir}/opensync/plugins
%{_libdir}/opensync/formats/*
%{_libdir}/python*/*
%dir %{_datadir}/opensync
%config %{_sysconfdir}/ld.so.conf.d/*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/opensync-1.0
%{_includedir}/opensync-1.0/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Thu Oct 12 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.19-1
- version upgrade #210443 #209281

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-5
- change handling of ld.so.conf files
- patch configure for x86_64 python
- add wrapper compile patch (no Werror)

* Sun Dec 11 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-4
- add dist

* Sun Dec 11 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-3
- .c and .h files should not be marked executable

* Sun Dec 04 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-2
- fix missing BR
- mark ldconf as config

* Sat Nov 12 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.18-1
- Version upgrade

* Mon Oct 03 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.17-1
- Initial Release
